/** Simple program for calculating the distance 
 * between two 2-dimensional points 
 *
 * @author robert.binna@uibk.ac.at
 * @date   09.04.2008
 */

#include <math.h>
#include <stdio.h>

struct point {
	int x;
	int y;
};

/**
 * Function that calculates the distance between two points
 * @see http://de.wikipedia.org/wiki/Satz_des_Pythagoras
 *
 * @param a the first point 
 * @param b the second point
 * @return the distance between the two points
 */
double distance(struct point first, struct point second) {
	return sqrt(
		pow(second.x - first.x,2) 
		+ pow(second.y - first.y,2)
	);
};

/**
 * main function for testing the distance function
 * @return the exit value of the program. 
 * 0 for correct behaviour.
 */
int main(void) {
	struct point a = { 2 , 2 };
	struct point b = { 4 , 4 };
	
	printf("Distance between {%d, %d} and {%d, %d} is %f\n"
		, a.x, a.y, b.x, b.y, distance(a,b)
	); 		

	return 0; 		
}
